## DnfTransaction

DnfTransaction

## Functions

DnfTransaction * | dnf_transaction_new ()
guint64 | dnf_transaction_get_flags ()
GPtrArray * | dnf_transaction_get_remote_pkgs ()
DnfDb * | dnf_transaction_get_db ()
void | dnf_transaction_set_repos ()
void | dnf_transaction_set_uid ()
void | dnf_transaction_set_flags ()
void | dnf_transaction_set_dont_solve_goal ()
gboolean | dnf_transaction_depsolve ()
gboolean | dnf_transaction_download ()
gboolean | dnf_transaction_import_keys ()
gboolean | dnf_transaction_gpgcheck_package ()
gboolean | dnf_transaction_check_untrusted ()
gboolean | dnf_transaction_commit ()
gboolean | dnf_transaction_ensure_repo ()
gboolean | dnf_transaction_ensure_repo_list ()

## Types and Values

#define | DNF_TYPE_TRANSACTION
struct | DnfTransactionClass
enum | DnfTransactionFlag
| DnfTransaction

## Description

## Functions

### dnf_transaction_new ()

    DnfTransaction *
    dnf_transaction_new (DnfContext *context);

### dnf_transaction_get_flags ()

    guint64
    dnf_transaction_get_flags (DnfTransaction *transaction);

### dnf_transaction_get_remote_pkgs ()

    GPtrArray *
    dnf_transaction_get_remote_pkgs (DnfTransaction *transaction);

### dnf_transaction_get_db ()

    DnfDb *
    dnf_transaction_get_db (DnfTransaction *transaction);

### dnf_transaction_set_repos ()

    void
    dnf_transaction_set_repos (DnfTransaction *transaction,
                               GPtrArray *repos);

### dnf_transaction_set_uid ()

    void
    dnf_transaction_set_uid (DnfTransaction *transaction,
                             guint uid);

### dnf_transaction_set_flags ()

    void
    dnf_transaction_set_flags (DnfTransaction *transaction,
                               guint64 flags);

### dnf_transaction_set_dont_solve_goal ()

    void
    dnf_transaction_set_dont_solve_goal (DnfTransaction *transaction,
                                         gboolean dont_solve_goal);

### dnf_transaction_depsolve ()

    gboolean
    dnf_transaction_depsolve (DnfTransaction *transaction,
                              HyGoal goal,
                              DnfState *state,
                              GError **error);

### dnf_transaction_download ()

    gboolean
    dnf_transaction_download (DnfTransaction *transaction,
                              DnfState *state,
                              GError **error);

### dnf_transaction_import_keys ()

    gboolean
    dnf_transaction_import_keys (DnfTransaction *transaction,
                                 GError **error);

### dnf_transaction_gpgcheck_package ()

    gboolean
    dnf_transaction_gpgcheck_package (DnfTransaction *transaction,
                                      DnfPackage *pkg,
                                      GError **error);

### dnf_transaction_check_untrusted ()

    gboolean
    dnf_transaction_check_untrusted (DnfTransaction *transaction,
                                     HyGoal goal,
                                     GError **error);

### dnf_transaction_commit ()

    gboolean
    dnf_transaction_commit (DnfTransaction *transaction,
                            HyGoal goal,
                            DnfState *state,
                            GError **error);

### dnf_transaction_ensure_repo ()

    gboolean
    dnf_transaction_ensure_repo (DnfTransaction *transaction,
                                 DnfPackage *pkg,
                                 GError **error);

### dnf_transaction_ensure_repo_list ()

    gboolean
    dnf_transaction_ensure_repo_list (DnfTransaction *transaction,
                                      GPtrArray *pkglist,
                                      GError **error);

## Types and Values

### DNF_TYPE_TRANSACTION

    #define DNF_TYPE_TRANSACTION (dnf_transaction_get_type ())

### struct DnfTransactionClass

    struct DnfTransactionClass {
            GObjectClass            parent_class;
    };

### enum DnfTransactionFlag

The transaction flags.

#### Members

DNF_TRANSACTION_FLAG_NONE | No flags |
DNF_TRANSACTION_FLAG_ONLY_TRUSTED | Only install trusted packages |
DNF_TRANSACTION_FLAG_ALLOW_REINSTALL | Allow package reinstallation |
DNF_TRANSACTION_FLAG_ALLOW_DOWNGRADE | Allow package downrades |
DNF_TRANSACTION_FLAG_NODOCS | Don't install documentation |
DNF_TRANSACTION_FLAG_TEST | Only do a transaction test |

### DnfTransaction

    typedef struct _DnfTransaction DnfTransaction;